import { useContext } from 'react';
import { ManageTransferTypeContext } from './ManageTransferTypeContext';

const useManageTransferTypeContext = () => {
  const context = useContext(ManageTransferTypeContext);

  if (!context) throw new Error('useManageAccessTypeContext must be used within AuthProvider');

  return context;
};

export { useManageTransferTypeContext };
